
QGIS Application - Bug report #17472

Clicking the "In Project" checkbox in Bookmarks panel corrupts the bookmarks list

2017-11-15 05:40 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25369

Description

see the attached image.

I ended up with this by clicking the ckeckbox in the "In Project" column from the bookmarks panel. Each time i checked a bookmark, the

row became blank (all values cleared). Then I restart QGIS and I got many rows populated with 0; it looks like the bookmarks I checked

are back but they lost their SRID (set to 0 - which is a common issue with checking "In Project" in 2.18).

This makes the button unusable.

Related issues:

Duplicates QGIS Application - Bug report # 17004: Spatial bookmarks: SRID val... Closed 2017-08-10

History

#1 - 2017-11-15 09:29 PM - Steven Mizuno

see also #17004, #16987

#2 - 2017-11-29 02:34 PM - Alessandro Pasotti

- Resolution set to fixed/implemented

- Assignee set to Alessandro Pasotti

- Status changed from Open to Closed

Fixed in master https://github.com/qgis/QGIS/pull/5765

#3 - 2017-11-29 02:36 PM - Alessandro Pasotti

- Duplicates Bug report #17004: Spatial bookmarks: SRID value should not be set to 0 when moving a bookmark to/from a project added

Files
